using System;
using System.Xml;
using System.Xml.XPath;

namespace Tobler.Utils
{
	public class Xpq 
	{

		const string USAGE = @"Usage: xpq <xpath> <input>"; 

		[STAThread]
		public static void Main(string[] args) 
		{
			if (args.Length != 2) 
			{
				Console.WriteLine(USAGE);
				return;
			}

			XPathDocument doc = new XPathDocument(args[1]);
			XPathNavigator nav = doc.CreateNavigator();

			object o = nav.Evaluate(args[0]);

			if (o is XPathNodeIterator) 
			{
				XPathNodeIterator iter = o as XPathNodeIterator;
				while (iter.MoveNext()) 
				{
					Console.WriteLine(iter.Current.Value); 
				}
			}
			else 
			{
				Console.WriteLine(o);
			}
		}
	}
}
